Skip to content
Start here

List additional audio tracks on a video

client.Stream.AudioTracks.Get(ctx, identifier, query) (*SinglePage[Audio], error)
GET/accounts/{account_id}/stream/{identifier}/audio

Lists additional audio tracks on a video. Note this API will not return information for audio attached to the video upload.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Stream WriteStream Read
ParametersExpand Collapse
identifier string

A Cloudflare-generated unique identifier for a media item.

maxLength32
query AudioTrackGetParams
AccountID param.Field[string]

The account identifier tag.

maxLength32
ReturnsExpand Collapse
type Audio struct{…}
Default booloptional

Denotes whether the audio track will be played by default in a player.

Label stringoptional

A string to uniquely identify the track amongst other audio track labels for the specified video.

Status AudioStatusoptional

Specifies the processing status of the video.

One of the following:
const AudioStatusQueued AudioStatus = "queued"
const AudioStatusReady AudioStatus = "ready"
const AudioStatusError AudioStatus = "error"
UID stringoptional

A Cloudflare-generated unique identifier for a media item.

maxLength32

List additional audio tracks on a video

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/stream"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  page, err := client.Stream.AudioTracks.Get(
    context.TODO(),
    "ea95132c15732412d22c1476fa83f27a",
    stream.AudioTrackGetParams{
      AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", page)
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "default": true,
      "label": "director commentary",
      "status": "queued",
      "uid": "ea95132c15732412d22c1476fa83f27a"
    }
  ]
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "default": true,
      "label": "director commentary",
      "status": "queued",
      "uid": "ea95132c15732412d22c1476fa83f27a"
    }
  ]
}